Ubuntu

fn keys for backlight (brighness) not working : geforce 8 card on sony vaio, no laptop_panel in lshal

Reported by Schmirrwurst on 2009-03-19
38
This bug affects 4 people
Affects Status Importance Assigned to Milestone
HAL
Won't Fix
Medium
acpi-support (Ubuntu)
Medium
Steve Langasek
Nominated for Karmic by Schmirrwurst
Jaunty
Medium
Steve Langasek
hal (Ubuntu)
Undecided
Unassigned
Nominated for Karmic by Schmirrwurst
Jaunty
Undecided
Unassigned
powerdevil (Ubuntu)
Undecided
Unassigned
Nominated for Karmic by Schmirrwurst
Jaunty
Undecided
Unassigned

Bug Description

fn keys for backlight are not working on sony vaio with geforce nvidia card (8 and 9 ?) , and
 hal-find-by-property --key info.category --string laptop_panel is giving no output

If you are experiencing those problem, please provide information as described here :
https://bugs.launchpad.net/hal/+bug/345531/comments/35

Steve Langasek (vorlon) wrote :

The showkeys output shows that the kernel driver is synthesizing the correct keypress events for these hotkeys, but that the desktop stack is not subsequently able to handle them.

We can easily restore the sony scripts to the acpi-support package, but the right way to fix this is if gnome-power-manager (or other desktop package as appropriate) will know what to do with these events on your hardware. So I'm opening a task on gnome-power-manager for this. If that doesn't manage to work itself out in time for release, I'll restore the acpi-support script.

Changed in acpi-support:
assignee: nobody → vorlon
importance: Undecided → Medium
milestone: none → ubuntu-9.04
status: New → Confirmed
Steve Langasek (vorlon) wrote :

Here's what the old script did, for reference in implementing the gnome-power-manager fix.

BRIGHTNESS=$(cat /sys/class/backlight/sony/brightness)

if [ "$BRIGHTNESS" -gt 7 ]; then
       BRIGHTNESS=0
fi

if [ "x$1" = "xdown" ]; then
   if [ "x$BRIGHTNESS" != "x0" ]; then
      BRIGHTNESS=$(( $BRIGHTNESS - 1 ))
      echo $BRIGHTNESS > /sys/class/backlight/sony/brightness
   else
      [ -x /usr/bin/spicctrl ] && /usr/bin/spicctrl -b 0
   fi
   # Recent nvidia Sonys have ACPI methods that do nothing. Thanks, Sony.
   [ -x /usr/bin/smartdimmer ] && smartdimmer -d 2>/dev/null
elif [ "x$1" = "xup" ]; then
   if [ "x$BRIGHTNESS" != "x7" ]; then
      BRIGHTNESS=$(( $BRIGHTNESS + 1 ))
      echo $BRIGHTNESS > /sys/class/backlight/sony/brightness
   fi
   [ -x /usr/bin/smartdimmer ] && smartdimmer -i 2>/dev/null
else
   echo >&2 Unknown argument $1
fi

Schmirrwurst (schmirrwurst) wrote :

I've added powerdevil, I'm using kubuntu, and it seems to use powerdevil as "power manager"... If a fix is commited for gnome power manager, then something must also be done for kde, otherwise kubuntu user will have problems.

Schmirrwurst (schmirrwurst) wrote :

Another problem to have a fix, is that the actual packaged nvclock, that provide smartdimmer is version 0.8b3, and that version is not compatible with new geforce card. 0.8b4 is out, already packaged for debian, and I've also proposed a package on https://bugs.launchpad.net/ubuntu/+source/nvclock/+bug/95444?comments=all ... nobody cares !
I could not reach anybody from nvclock team, I don't know if you could contact someone steve ?

If that works, I think package nvidia-glx-180 should also add nvclock to dependencies to have nvidia cards having acpi support on install

Steve Langasek (vorlon) wrote :

Looking through the nvclock bugs, it turns out this is already reported as bug #277589; there's some extensive information there about what needs to be added in hal to handle this, so I'll mark this bug as a duplicate of that one and add any missing info there.

Changed in gnome-power-manager:
status: New → Confirmed
Steve Langasek (vorlon) on 2009-03-31
Changed in acpi-support:
status: Confirmed → Won't Fix
status: Confirmed → Won't Fix
Schmirrwurst (schmirrwurst) wrote :

there is no output on :
hal-find-by-property --key info.category --string laptop_panel

Schmirrwurst (schmirrwurst) wrote :
Schmirrwurst (schmirrwurst) wrote :
Schmirrwurst (schmirrwurst) wrote :

hal 0.5.12~rc1+git20090204-0ubuntu4
smartdimmer 0.8b4-1ubuntu2

Thomas Lété (bistory) wrote :

Steve, can I have a link to the bug you posted on gnome-power-manager ?
I've the same problem as Schmirrwurst (same keys), but I'm using gnome.

Steve Langasek (vorlon) wrote :

Thomas,

In the end this is not a gnome-power-manager issue, only a hal issue.

Thomas Lété (bistory) wrote :

Ok thanks for your reply, if you need help, i can provide all the informations you want :)

Schmirrwurst (schmirrwurst) wrote :

Is there some work be done in Hal yet ?

Steve Langasek (vorlon) wrote :

Yes; as written in the last follow-up to bug #277589:

If your laptop panel doesn't show up at all in lshal output, then that's another wrinkle entirely - you may have a completely separate bug than benste. I'm going to un-dupe bug #345531, please follow up to that bug for your case.

Schmirrwurst (schmirrwurst) wrote :

There is a loop in the bug report, so I don't know what is the right for me...
Would it be possible to set the importance from the bug from hal... I think if jaunty comes out without acpi-support for geforce-cards on vaio, samsung and others, there will be a lot of user that won't be able to use their laptop on the way, because with backlight 100%, the battery goes very quick empty ...

Schmirrwurst (schmirrwurst) wrote :

the laptop panel doesn't show up in lshal with today relase 0.5.12~rc1+git20090403-0ubuntu1

Steve Langasek (vorlon) on 2009-04-10
Changed in powerdevil (Ubuntu Jaunty):
status: New → Invalid
Schmirrwurst (schmirrwurst) wrote :

One week until release and still no acpi support... Steve how far is it ?
Would it be better to restore a working acpi script ?

I've checked, the two backlight bugs are the only ones left to resolve for hal for jaunty... but would they succeed in until release ?

Martin Pitt (pitti) wrote :

Could you please try to get a hal debug output as described on https://wiki.ubuntu.com/DebuggingHal ? Perhaps this gives some clue what's wrong.

I don't think that this will be fixed in jaunty. Personally I don't have the hardware, it will be a nontrivial fix, and such kinds of bug fixes aren't appropriate after the release candidate.

Schmirrwurst (schmirrwurst) wrote :
Schmirrwurst (schmirrwurst) wrote :
Schmirrwurst (schmirrwurst) wrote :

I've first reported the problem with intrepid, and then with jaunty alpha 1...
I've try to provide all information needed to fix the problem, following this issue almost every day, with hope it will be fixed for release ! But ok I have to live with it

Might there be a workaround having backlight control working ? On Intrepid, there was a way to modify acpi-scripts to have it working... is there a solution or for jaunty ?

Schmirrwurst, yes my partial solution work also on Jaunty.

Can you try it with:
http://www.islatux.es/ubuntu-intrepid-ibex-en-un-sony-vaio-fz38m/

By §h@wæ
http://www.islatux.es

2009/4/16 Schmirrwurst <email address hidden>

> I've first reported the problem with intrepid, and then with jaunty alpha
> 1...
> I've try to provide all information needed to fix the problem, following
> this issue almost every day, with hope it will be fixed for release ! But ok
> I have to live with it
>
> Might there be a workaround having backlight control working ? On
> Intrepid, there was a way to modify acpi-scripts to have it working...
> is there a solution or for jaunty ?
>
> ** Attachment added: "lspci -vvnn"
> http://launchpadlibrarian.net/25552745/lspci-vvnn.txt
>
> --
> fn keys for backlight (brighness) not working : geforce 8 card on sony vaio
> https://bugs.launchpad.net/bugs/345531
> You received this bug notification because you are a direct subscriber
> of the bug.
>

Steve Langasek (vorlon) wrote :

pre-emptively marking this as wontfix for jaunty, based on Martin's comments. Once we have a fix in karmic, we can revisit whether this is an appropriate SRU candidate.

summary: fn keys for backlight (brighness) not working : geforce 8 card on sony
- vaio
+ vaio, no laptop_panel in lshal
Changed in hal (Ubuntu Jaunty):
status: Confirmed → Won't Fix
Martin Pitt (pitti) on 2009-04-20
Changed in acpi-support (Ubuntu Jaunty):
milestone: ubuntu-9.04 → none
torstenaf (afguy) wrote :

Regression: Fn+F5 or Fn+F6 no longer dims/brightens my display in Jauny 9.04, it did work find in 8.10. Gnome applet for brightness has never worked for me.

Sony VGN-S505P/B
01:00.0 VGA compatible controller: nVidia Corporation NV43 [GeForce Go 6200/6400] (rev a1)
Fresh Jaunty 9.04 upgrade from 8.10.

torstenaf (afguy) wrote :

Regression: Fn+F5 or Fn+F6 no longer dims/brightens my display in Jauny 9.04, it did work find in 8.10. Gnome applet for brightness has never worked for me.

Sony VGN-S505P/B
01:00.0 VGA compatible controller: nVidia Corporation NV43 [GeForce Go 6200/6400] (rev a1)
Fresh Jaunty 9.04 upgrade from 8.10.

I installed nvclock per
https://bugs.launchpad.net/ubuntu/+source/hotkey-setup/+bug/95444
and can manually adjust brightness from the command line.

Try to use my script:
http://shawe.ewahs.googlepages.com/install-FnKeys-sony-nvidia.sh

It autoinstall all necessary things for that FnKeys works. Only is possible
that you need edit this file:
/usr/share/hal/fdi/information/10freedesktop/10-sony-laptop-panel-mgmt-policy.fdi
and add your model of laptop. My solution works detecting a specified laptop
that has a nvidia graphic card.

        <match
key="/org/freedesktop/Hal/devices/computer:system.hardware.product"
string="YOUR_LAPTOP_HERE">
          <merge key="laptop_panel.num_levels" type="int">20</merge>
          <merge key="laptop_panel.access_method"
type="string">sony-nvidia</merge>
        </match>

In my case, I replace YOUR_LAPTOP_HERE for VGN-FZ38M.

When you do all changes do this:

/etc/init.d/hal restart
/etc/init.d/acpid restart

or restart your computer.

This solutions works for me and most people on Ubuntu Intrepid and works
already after update to Jaunty. I don't try it after a clean installation of
it, but I thing that also works well.

By §h@wæ
http://www.islatux.es

2009/4/24 torstenaf <email address hidden>

> Regression: Fn+F5 or Fn+F6 no longer dims/brightens my display in Jauny
> 9.04, it did work find in 8.10. Gnome applet for brightness has never
> worked for me.
>
> Sony VGN-S505P/B
> 01:00.0 VGA compatible controller: nVidia Corporation NV43 [GeForce Go
> 6200/6400] (rev a1)
> Fresh Jaunty 9.04 upgrade from 8.10.
>
> I installed nvclock per
> https://bugs.launchpad.net/ubuntu/+source/hotkey-setup/+bug/95444
> and can manually adjust brightness from the command line.
>
> --
> fn keys for backlight (brighness) not working : geforce 8 card on sony
> vaio, no laptop_panel in lshal
> https://bugs.launchpad.net/bugs/345531
> You received this bug notification because you are a direct subscriber
> of the bug.
>

Schmirrwurst (schmirrwurst) wrote :

To add the model number to the fdi file, shawe, you could use following command in the script :
hal-get-property --udi "/org/freedesktop/Hal/devices/computer" --key system.hardware.product

Shawe Ewahs (shawe-ewahs) wrote :

Schmirrwust, then with these sentence is possible autoadd the models in to
this file? Is only need to add these line to the end of my script??

I think that can be a clean and easy way for people who want that they
fn-keys works well and easily.

By §h@wæ
http://www.islatux.es

2009/4/24 Schmirrwurst <email address hidden>

> To add the model number to the fdi file, shawe, you could use following
> command in the script :
> hal-get-property --udi "/org/freedesktop/Hal/devices/computer" --key
> system.hardware.product
>
> --
> fn keys for backlight (brighness) not working : geforce 8 card on sony
> vaio, no laptop_panel in lshal
> https://bugs.launchpad.net/bugs/345531
> You received this bug notification because you are a direct subscriber
> of the bug.
>

Thomas Lété (bistory) wrote :

Shawe, your should verify the ubuntu version and install smartdimmer only if needed :)

And you should clarify this sentense :
echo "Only works with:"
echo "nVidia Corporation GeForce 8400M GS"
echo "nVidia Corporation GeForce 8600M GT (rev a1)"

For people like me who have a GeForce 8400M GT :)
(I didn't test your script yet, sorry :) )

Shawe Ewahs (shawe-ewahs) wrote :

Thomas Lété I put these message because my script is only verified with a
Vaio laptops withs these 2 graphic cards. I know that isn't really true, but
also it works.

By §h@wæ
http://www.islatux.es

2009/4/24 Thomas Lété <email address hidden>

> Shawe, your should verify the ubuntu version and install smartdimmer
> only if needed :)
>
> And you should clarify this sentense :
> echo "Only works with:"
> echo "nVidia Corporation GeForce 8400M GS"
> echo "nVidia Corporation GeForce 8600M GT (rev a1)"
>
> For people like me who have a GeForce 8400M GT :)
> (I didn't test your script yet, sorry :) )
>
> --
> fn keys for backlight (brighness) not working : geforce 8 card on sony
> vaio, no laptop_panel in lshal
> https://bugs.launchpad.net/bugs/345531
> You received this bug notification because you are a direct subscriber
> of the bug.
>

Schmirrwurst (schmirrwurst) wrote :

Lété, what about clarifying yourself ? Install the script, and if it works, shawe can change the description...

Shawe,
The command only returns the model number, but on the package installing script, we could generate the fdi file, so that it will only have the current laptop model in it... because it is only a workaround, and it should be fixed from hal side, hopefully soon... so there is no need for a general fdi file, or am I wrong ?

Sony scripts are no more part from jaunty, so I would only add your sonyscripts in a package, and generate the fdi file from the postinst script...

If it properly works, would it be possible to patch it for jaunty, Steve ? I would acpi support for sony on jaunty, even if it not the nice way over hal ? Because for now, scripts are removed, but there is no alternative...

Schmirrwurst (schmirrwurst) wrote :

Shawe, your workaround won't work here : the bug description has been changed to "no laptop_panel", and your fdi files are based on it : <match key="info.category" string="laptop_panel">
So nothing would happend for user like me having no laptop_panel on lshal...

Thomas Lété (bistory) wrote :

Schmirrwurst, please my first name is Thomas ^^
I tested the script, it works only to map correctly the keys, not when I'm on battery :)
But it's very slow...

Shawe Ewahs (shawe-ewahs) wrote :

Schmirrwurst, you have reason, for the moment it is the only way for try to
solve it. When acpi supports correctly all laptops affecteds, this script
isn't really needed, but for the moment it is.

By §h@wæ
http://www.islatux.es

2009/4/24 Schmirrwurst <email address hidden>

> Lété, what about clarifying yourself ? Install the script, and if it
> works, shawe can change the description...
>
> Shawe,
> The command only returns the model number, but on the package installing
> script, we could generate the fdi file, so that it will only have the
> current laptop model in it... because it is only a workaround, and it should
> be fixed from hal side, hopefully soon... so there is no need for a general
> fdi file, or am I wrong ?
>
> Sony scripts are no more part from jaunty, so I would only add your
> sonyscripts in a package, and generate the fdi file from the postinst
> script...
>
> If it properly works, would it be possible to patch it for jaunty, Steve
> ? I would acpi support for sony on jaunty, even if it not the nice way
> over hal ? Because for now, scripts are removed, but there is no
> alternative...
>
> --
> fn keys for backlight (brighness) not working : geforce 8 card on sony
> vaio, no laptop_panel in lshal
> https://bugs.launchpad.net/bugs/345531
> You received this bug notification because you are a direct subscriber
> of the bug.
>

Created an attachment (id=25136)
lshal sony vaio fz21E

There is no support for some vaio laptop, and I guess also for other , because the laptop_panel is not appearing in lshal, making it impossible to use fdi files...

Created an attachment (id=25137)
lspci -vvnn FZ21E

Changed in hal:
status: Unknown → Confirmed
Schmirrwurst (schmirrwurst) wrote :

Hal debuging howto is suggesting to upload the output from lshal. I would suggest that all users where :
hal-find-by-property --key info.category --string laptop_panel is giving no output upload

- lshal output :
lshal > /tmp/lshal.txt
and then upload the created file

and the same fore lspci :
lspci -vvnn > /tmp/lspci-vvnn.txt
and upload that file too

In Hope that hal people will be able to debug it asap ! I've already opened a bug upstream

description: updated
torstenaf (afguy) wrote :

I'm not sure about the name of the bug Re: change to laptop_panel. When I do:
lshal | grep laptop | grep panel

I get:
  info.capabilities = {'laptop_panel'} (string list)
  info.category = 'laptop_panel' (string)
  laptop_panel.access_method = 'sony-nvidia' (string)
  laptop_panel.num_levels = 86 (0x56) (int)

...?

Schmirrwurst (schmirrwurst) wrote :

If your laptop panel is appearing, then you might look here https://bugs.launchpad.net/ubuntu/+source/hal/+bug/277589

Schmirrwurst (schmirrwurst) wrote :

nothing seems to be done on hal side...

I've just read that powermanagement under karmic is going to focus on udev-extras and devicekit-power...
So maybe we have to ask them for fix ? or has it to be fixed in the kernel, that backlight appears in /sysfs ??

Schmirrwurst [2009-05-16 18:00 -0000]:
> or has it to be fixed in the kernel, that backlight appears in /sysfs ??

That'd be definitively the best solution; I remember some similar Sony
specific hal patch being rejected upstream because it would much
better get fixed in linux itself.

Schmirrwurst (schmirrwurst) wrote :

Hi Martin,

So I've tried to have that problem fixed upstream in the kernel, but kernel developper think it is a bios bug, or a platform driver issue...

I'm trying to have it fixed since intrepid, and reported from nvidia to hal to devicekit to kernel... and each time nothing before release...

Do you mind it would be possible to add a special rule in udev for it, so that backlight power management use smartdimmer or nvclock instead of /sys/class/backlight ??

Schmirrwurst (schmirrwurst) wrote :

If no one fill concerned, an ubuntoism to hal would be welcom to have a kind of solution for karmic at least !!!!!

Is there any known sysfs interface on those machines to change the brightness manually?

Schmirrwurst (schmirrwurst) wrote :

Still nothing from kernel team, nor xorg... !!!!

Please do something !!! I though the aim of ubuntu is to help people having a simple way to have linux on there hardware ! This backlight issue is concerning a lot of people with nvidia cards, even any with brand new laptops from this year ! I boxing with this issue for more than one year, and still no solution !

A quick and dirty fix for karmic would be apreciated, until kernel or xorg is reacting...

Guillaume (guillaume-zin) wrote :

Hello,

I wrote a driver for the nVidia backlight, see here: http://www.nvnews.net/vbulletin/showthread.php?t=143025

Guillaume

Thomas Lété (bistory) wrote :

Guillaume wrote a great driver !
It works natively on my Sony VGN-FZ11E with a nvidia geforce 8400M GT !

He's da man !

Shawe Ewahs (shawe-ewahs) wrote :

Guillaume thanks for your work!

I do:

tar -jxvf nvbacklight-0.2.tar.bz2
cd nvbacklight-0.2
make && sudo make modules && sudo make install
sudo dpkg -i nvbacklight-dkms_0.2_all.deb

and reboot?

I'm testing with Ubuntu 9.10 64bits, I reboot now and give a new message for say if it works for me or not.

Jordi2019 (jordi2019) wrote :

Thank you very much for your work, Guillaume! I've used the .deb package to install de driver and it's worked perfectly in my VGN-NR21S with a Nvidia 8400M GT. If you need any information about it, I'll be glad to collaborate.

By the way, Merry Christmas to everyone!

Tried again following Shawe's instructions above, adding nvbacklight to
/etc/modules, but this time the nVidia drivers didn't even load and I got NV
driver instead... will have another go using the 'model' options.

Does anyone else have a dual-graphics Vaio?

Guillaume (guillaume-zin) wrote :

Michael, you should give a try to https://launchpad.net/~mactel-support/+archive/ppa/+files/nvidia-bl-dkms_0.14~karmic_all.deb

It's another solution that works pretty well for me.

Michael Doube (michael-doube) wrote :

Still not working here: reinstalled nVidia drivers, tried the package in the post above (#49), options nvbacklight model=PMAC, but no joy.

Thomas Lété (bistory) wrote :

All the guys who have this problem should test the package available a this address : http://www.nvnews.net/vbulletin/showthread.php?t=143025

You should report your laptop informations as described in the topic to improve hardware support on this driver :)

(Thanks a lot Guillaume !)

Shawe Ewahs (shawe-ewahs) wrote :

Thomas Lété this is my information:

$ lspci -nn
00:00.0 Host bridge [0600]: Intel Corporation Mobile PM965/GM965/GL960 Memory Controller Hub [8086:2a00] (rev 0c)
00:01.0 PCI bridge [0604]: Intel Corporation Mobile PM965/GM965/GL960 PCI Express Root Port [8086:2a01] (rev 0c)
00:1a.0 USB Controller [0c03]: Intel Corporation 82801H (ICH8 Family) USB UHCI Controller #4 [8086:2834] (rev 03)
00:1a.1 USB Controller [0c03]: Intel Corporation 82801H (ICH8 Family) USB UHCI Controller #5 [8086:2835] (rev 03)
00:1a.7 USB Controller [0c03]: Intel Corporation 82801H (ICH8 Family) USB2 EHCI Controller #2 [8086:283a] (rev 03)
00:1b.0 Audio device [0403]: Intel Corporation 82801H (ICH8 Family) HD Audio Controller [8086:284b] (rev 03)
00:1c.0 PCI bridge [0604]: Intel Corporation 82801H (ICH8 Family) PCI Express Port 1 [8086:283f] (rev 03)
00:1c.1 PCI bridge [0604]: Intel Corporation 82801H (ICH8 Family) PCI Express Port 2 [8086:2841] (rev 03)
00:1c.2 PCI bridge [0604]: Intel Corporation 82801H (ICH8 Family) PCI Express Port 3 [8086:2843] (rev 03)
00:1c.4 PCI bridge [0604]: Intel Corporation 82801H (ICH8 Family) PCI Express Port 5 [8086:2847] (rev 03)
00:1d.0 USB Controller [0c03]: Intel Corporation 82801H (ICH8 Family) USB UHCI Controller #1 [8086:2830] (rev 03)
00:1d.1 USB Controller [0c03]: Intel Corporation 82801H (ICH8 Family) USB UHCI Controller #2 [8086:2831] (rev 03)
00:1d.2 USB Controller [0c03]: Intel Corporation 82801H (ICH8 Family) USB UHCI Controller #3 [8086:2832] (rev 03)
00:1d.7 USB Controller [0c03]: Intel Corporation 82801H (ICH8 Family) USB2 EHCI Controller #1 [8086:2836] (rev 03)
00:1e.0 PCI bridge [0604]: Intel Corporation 82801 Mobile PCI Bridge [8086:2448] (rev f3)
00:1f.0 ISA bridge [0601]: Intel Corporation 82801HEM (ICH8M) LPC Interface Controller [8086:2815] (rev 03)
00:1f.1 IDE interface [0101]: Intel Corporation 82801HBM/HEM (ICH8M/ICH8M-E) IDE Controller [8086:2850] (rev 03)
00:1f.2 SATA controller [0106]: Intel Corporation 82801HBM/HEM (ICH8M/ICH8M-E) SATA AHCI Controller [8086:2829] (rev 03)
00:1f.3 SMBus [0c05]: Intel Corporation 82801H (ICH8 Family) SMBus Controller [8086:283e] (rev 03)
01:00.0 VGA compatible controller [0300]: nVidia Corporation G86 [GeForce 8400M GT] [10de:0426] (rev a1)
06:00.0 Network controller [0280]: Intel Corporation PRO/Wireless 4965 AG or AGN [Kedron] Network Connection [8086:4229] (rev 61)
08:00.0 Ethernet controller [0200]: Marvell Technology Group Ltd. 88E8036 PCI-E Fast Ethernet Controller [11ab:4351] (rev 16)
09:03.0 CardBus bridge [0607]: Texas Instruments PCIxx12 Cardbus Controller [104c:8039]
09:03.1 FireWire (IEEE 1394) [0c00]: Texas Instruments PCIxx12 OHCI Compliant IEEE 1394 Host Controller [104c:803a]
09:03.2 Mass storage controller [0180]: Texas Instruments 5-in-1 Multimedia Card Reader (SD/MMC/MS/MS PRO/xD) [104c:803b]

$ cat /sys/class/dmi/id/sys_vendor
Sony Corporation

$ cat /sys/class/dmi/id/product_name
VGN-FZ38M

My email is banned on the forum that you link and I don't never post anything on it.

Guillaume (guillaume-zin) wrote :

No problem, I read this topic too anyway. I will add the VGN-FZ38 family soon.

Michael D., could you provide the requested information? Maybe it can help me to understand your specific problem.

Guillaume

nno new info since more than a year. Close as WONTFIX. HAL will supports already the /sys backlight interface, so these machines simply need a working kernel support.

Feel free to provide the requested info.

Changed in hal:
importance: Unknown → Medium
status: Confirmed → Won't Fix
Changed in hal:
importance: Medium → Unknown
Changed in hal:
importance: Unknown → Medium
dino99 (9d9) wrote :
Changed in hal (Ubuntu):
status: Confirmed → Invalid
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.